// creator  : weidu.exe (version 23100)
// argument : ALBERT.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ALBERT~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #6150 /* ~If this is so then you are truly a fool to cross my path. Renounce your words and confess your sins! Mayhaps I will let you live.~ */
  IF ~~ THEN DO ~CreateCreature("RUFIE",[3803.695])
~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #6475 /* ~I concur. We shall rescue Garren's child.~ */
  IF ~~ THEN REPLY #6476 /* ~Should I desire to hear your opinion, I shall ask you for it. Quiet yourself, Anomen.~ */ GOTO 4
  IF ~~ THEN REPLY #6477 /* ~You have been granted +10% magic resistance.~ */ GOTO 2
  IF ~~ THEN REPLY #6478 /* ~You have been granted +15 to your hit points.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 9.1 1.1
  SAY #6479 /* ~The god child has come.~ */
  IF ~~ THEN REPLY #6480 /* ~I must commend you on your good sense. You've made a significant move into the realm of good fortune.~ */ GOTO 4
  IF ~~ THEN REPLY #6481 /* ~Aeger's Hide +3~ */ GOTO 5
  IF ~~ THEN REPLY #6482 /* ~I find that I must protest your apparent lack of concern for our situation. The child of Garren Windspear languishes in the clutches of evil. We must save the child should we ever hope to restore our good name.~ [ANOMENB1] */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.2
  SAY #6483 /* ~Flame Tongue~ */
  IF ~~ THEN REPLY #6494 /* ~These are the correct papers. Take them to Bloodscalp and his guardsman will start on Mae'Var's extremities within the hour.~ */ GOTO 4
  IF ~~ THEN REPLY #6495 /* ~It is our Great Work, The Red Way. And that Way would serve this party in good stead.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 9.0 3.0 2.0 1.0
  SAY #6497 /* ~That sounds great, Edwin, but we don't have a need for your services.~ */
  IF ~~ THEN JOURNAL #6508 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 9.2 3.1 2.1 1.2
  SAY #6498 /* ~Join us, Edwin, and let others fear our name.~ */
  IF ~~ THEN DO ~GiveItemCreate("MISC63",LastTalkedToBy,0,0,0)
SetGlobal("Rufie","GLOBAL",1)
~ JOURNAL #6507 /* ~~ */ EXIT
END

IF ~Global("Rufie","GLOBAL",1)
~ THEN BEGIN 6 // from:
  SAY #6499 /* ~We shall save Garren's child at the first opportunity.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Rufie","GLOBAL",2)
!Dead("Rufie")
~ THEN BEGIN 7 // from:
  SAY #6500 /* ~I am well aware of your opinion on the matter. Be silent and I will get to it.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC63")
SetGlobal("Rufie","GLOBAL",3)
AddexperienceParty(1000)
ClearAllActions()
StartCutSceneMode()
StartCutScene("Rufcut01")
~ JOURNAL #6509 /* ~The hunt for Valygar Corthala.

I attempted to misdirect Tolgerias in his search for Valygar, but the mage obviously detected my lie.  He has stormed off, accusing me of betraying the wizards... something I shall no doubt feel repercussions for in the future.~ */ EXIT
END

IF ~Dead("Rufie")
~ THEN BEGIN 8 // from:
  SAY #6502 /* ~It would be well for the opportunity to present itself immediately.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC63")
SetGlobal("Rufie","GLOBAL",3)
AddexperienceParty(1200)
ClearAllActions()
StartCutSceneMode()
StartCutScene("Rufcut02")
~ JOURNAL #6510 /* ~~ */ EXIT
END

IF ~Global("Rufie","GLOBAL",0)
~ THEN BEGIN 9 // from:
  SAY #6503 /* ~I cannot be silent if you choose not the righteous path. Do not lead us into evil, <CHARNAME>. We must rescue the child soon.~ */
  IF ~~ THEN REPLY #6504 /* ~I believe that it would be wise for us to travel to the cabin. This place is our only sanctuary against the tide that we shall surely face should we return to more civilized lands.~ */ GOTO 4
  IF ~~ THEN REPLY #6505 /* ~The incriminating documents in Mae'Var's room are beckoning... perhaps it's time to heed their call (or find another group with more sense of time.)~ [EDWIN79] */ GOTO 2
  IF ~~ THEN REPLY #6506 /* ~How could Garren help us.~ */ GOTO 5
END

IF ~Global("Rufie","GLOBAL",3)
~ THEN BEGIN 10 // from:
  SAY #16479 /* ~A modest fee only, my <LADYLORD>.  50 gold pieces acquires a room for the evening, as well as a companion.  Shall I call out one of the escorts for you?~ */
  IF ~~ THEN EXIT
END
